Type to search.

Get snapshot repository information

Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 0.0 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Required privileges

Cluster privileges monitor_snapshot

Path parameters

repository union string | string[] optional

A comma-separated list of snapshot repository names used to limit the request. Wildcard (*) expressions are supported including combining wildcards with exclude patterns starting with -.

To get information about all snapshot repositories registered in the cluster, omit this parameter or use * or _all.

Leave it out to use /_snapshot.

Query parameters

local boolean · default: false

If true, the request gets information from the local node only. If false, the request gets information from the master node.

master_timeout union oneOf · default: 30s

The period to wait for the master node. If the master node is not available before the timeout expires, the request fails and returns an error. To indicate that the request should never timeout, set it to -1.

Values: -1 0

Response

application/json

Response Type: map string to oneOf